Gtk2::OptionMenu(3p)

NAME
Gtk2::OptionMenu

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Button
                                +----Gtk2::OptionMenu

INTERFACES
  Glib::Object::_Unregistered::GtkActivatable
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable

DEPRECATION WARNING
Gtk2::OptionMenu has been marked as deprecated, and should not be used in newly written code.

You should use Gtk2::ComboBox instead of Gtk2::OptionMenu.

METHODS

  widget = Gtk2::OptionMenu->new

  integer = $option_menu->get_history

  $option_menu->set_history ($index)

•   $index (integer)

  widget = $option_menu->get_menu

  $option_menu->set_menu ($menu)

•   $menu (Gtk2::Widget)

  $option_menu->remove_menu

PROPERTIES

'menu' (Gtk2::Menu : readable / writable / private)
    The menu of options

SIGNALS

changed (Gtk2::OptionMenu)

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Bin, Gtk2::Button

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.